Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.jms.management
Class JMSConnectionInfo

    java.lang.Object
      org.hornetq.api.jms.management.JMSConnectionInfo

    public class JMSConnectionInfo

extends Object

A JMSConnectionInfo

Author:
  jmesnil

Method Summary
`static JMSConnectionInfo[]` | `from(String jsonString)`
`String` | `getClientAddress()`
`String` | `getClientID()`
`String` | `getConnectionID()`
`long` | `getCreationTime()`
`String` | `getUsername()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### from

    public static JMSConnectionInfo[] from(String jsonString)
                                    throws Exception

  Throws:
    `Exception`

### getConnectionID

    public String getConnectionID()

### getClientAddress

    public String getClientAddress()

### getCreationTime

    public long getCreationTime()

### getClientID

    public String getClientID()

### getUsername

    public String getUsername()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.